Index: trunk/ICeCoffEE/ICeCoffEE/APEMain.m
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/APEMain.m	(revision 180)
+++ trunk/ICeCoffEE/ICeCoffEE/APEMain.m	(revision 181)
@@ -172,5 +172,5 @@
     ICapeprintf("ICeCoffEE APE: message '%@' (inData = %@)\n", message, inData);
     
-    if (CFStringCompare(message, kICPreferencesChanged, NULL) == kCFCompareEqualTo)		
+    if (CFStringCompare(message, kICPreferencesChanged, 0) == kCFCompareEqualTo)		
     {	// request to reload prefs from our preference pane
         ICCF_ReloadPrefs();
Index: trunk/ICeCoffEE/ICeCoffEE/ICFindFilesToRemove/UICookieMonster.m
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICFindFilesToRemove/UICookieMonster.m	(revision 180)
+++ trunk/ICeCoffEE/ICeCoffEE/ICFindFilesToRemove/UICookieMonster.m	(revision 181)
@@ -43,5 +43,5 @@
     isGlobal = global;
     version = inVersion;
-    cachedVersion = NULL;
+    cachedVersion = 0;
     
     files = [[NSMutableArray arrayWithCapacity:0] retain];
@@ -104,4 +104,5 @@
     [productID release];
     [files release];
+    [super dealloc];
 }
 
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser	(revision 180)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/nicholas.pbxuser	(revision 181)
@@ -3,7 +3,7 @@
 	089C165DFE840E0CC02AAC07 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {735, 464}}";
-			sepNavSelRange = "{217, 0}";
-			sepNavVisRect = "{{0, 0}, {735, 464}}";
+			sepNavIntBoundsRect = "{{0, 0}, {813, 170}}";
+			sepNavSelRange = "{113, 0}";
+			sepNavVisRect = "{{0, 0}, {813, 170}}";
 			sepNavWindowFrame = "{{15, 239}, {750, 502}}";
 		};
@@ -78,5 +78,5 @@
 				PBXFileTableDataSourceColumnWidthsKey = (
 					20,
-					248,
+					237,
 					20,
 					49,
@@ -169,5 +169,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 137288214;
+			PBXPerProjectTemplateStateSaveDate = 137300198;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -644,5 +644,60 @@
 				WindowFrame = "{{524, 473}, {756, 352}}";
 			};
-			PBXWorkspaceStateSaveDate = 137288214;
+			PBXWorkspaceStateSaveDate = 137300198;
+		};
+		perUserProjectItems = {
+			E18B483F082F0CC5000E96F5 = E18B483F082F0CC5000E96F5;
+			E18B4846082F0CF2000E96F5 = E18B4846082F0CF2000E96F5;
+			E18B4847082F0CF2000E96F5 = E18B4847082F0CF2000E96F5;
+			E18B484A082F0CF2000E96F5 = E18B484A082F0CF2000E96F5;
+			E18B497A082F0DFB000E96F5 = E18B497A082F0DFB000E96F5;
+			E18B497B082F0DFB000E96F5 = E18B497B082F0DFB000E96F5;
+			E18B498F082F10DD000E96F5 = E18B498F082F10DD000E96F5;
+			E18B4990082F10DD000E96F5 = E18B4990082F10DD000E96F5;
+			E18B4991082F10DD000E96F5 = E18B4991082F10DD000E96F5;
+			E18B4992082F10DD000E96F5 = E18B4992082F10DD000E96F5;
+			E18B49AC082F12B8000E96F5 = E18B49AC082F12B8000E96F5;
+			E18B49AD082F12B8000E96F5 = E18B49AD082F12B8000E96F5;
+			E18B49AE082F12B8000E96F5 = E18B49AE082F12B8000E96F5;
+			E18B49AF082F12B8000E96F5 = E18B49AF082F12B8000E96F5;
+			E18B49B0082F12B8000E96F5 = E18B49B0082F12B8000E96F5;
+			E18B49B1082F12B8000E96F5 = E18B49B1082F12B8000E96F5;
+			E18B49B2082F12B8000E96F5 = E18B49B2082F12B8000E96F5;
+			E18B49B3082F12B8000E96F5 = E18B49B3082F12B8000E96F5;
+			E18B49B6082F12BD000E96F5 = E18B49B6082F12BD000E96F5;
+			E18B49BF082F12FB000E96F5 = E18B49BF082F12FB000E96F5;
+			E18B49C0082F12FB000E96F5 = E18B49C0082F12FB000E96F5;
+			E18B49C1082F12FB000E96F5 = E18B49C1082F12FB000E96F5;
+			E18B49C2082F12FB000E96F5 = E18B49C2082F12FB000E96F5;
+			E18B49C3082F12FB000E96F5 = E18B49C3082F12FB000E96F5;
+			E18B49C6082F1309000E96F5 = E18B49C6082F1309000E96F5;
+			E18B49C7082F1309000E96F5 = E18B49C7082F1309000E96F5;
+			E18B49DC082F1726000E96F5 = E18B49DC082F1726000E96F5;
+			E18B49DE082F1726000E96F5 = E18B49DE082F1726000E96F5;
+			E18B49E6082F18B7000E96F5 = E18B49E6082F18B7000E96F5;
+			E18B49E7082F18B7000E96F5 = E18B49E7082F18B7000E96F5;
+			E18B49E8082F18B7000E96F5 = E18B49E8082F18B7000E96F5;
+			E18B49E9082F18B7000E96F5 = E18B49E9082F18B7000E96F5;
+			E18B49EA082F18B7000E96F5 = E18B49EA082F18B7000E96F5;
+			E18B49EB082F18B7000E96F5 = E18B49EB082F18B7000E96F5;
+			E18B49EC082F18B7000E96F5 = E18B49EC082F18B7000E96F5;
+			E18B49ED082F18B7000E96F5 = E18B49ED082F18B7000E96F5;
+			E18B49EE082F18B7000E96F5 = E18B49EE082F18B7000E96F5;
+			E18B49EF082F18B7000E96F5 = E18B49EF082F18B7000E96F5;
+			E18B49F0082F18B7000E96F5 = E18B49F0082F18B7000E96F5;
+			E18B49F1082F18B7000E96F5 = E18B49F1082F18B7000E96F5;
+			E18B49F2082F18B7000E96F5 = E18B49F2082F18B7000E96F5;
+			E18B49F3082F18B7000E96F5 = E18B49F3082F18B7000E96F5;
+			E18B49F4082F18B7000E96F5 = E18B49F4082F18B7000E96F5;
+			E18B49F5082F18B7000E96F5 = E18B49F5082F18B7000E96F5;
+			E18B49F6082F18B7000E96F5 = E18B49F6082F18B7000E96F5;
+			E18B49F7082F18C6000E96F5 = E18B49F7082F18C6000E96F5;
+			E18B49F8082F18C6000E96F5 = E18B49F8082F18C6000E96F5;
+			E18B49FC082F18CA000E96F5 = E18B49FC082F18CA000E96F5;
+			E18B49FD082F18CA000E96F5 = E18B49FD082F18CA000E96F5;
+			E18B49FE082F18CF000E96F5 = E18B49FE082F18CF000E96F5;
+			E18B49FF082F18CF000E96F5 = E18B49FF082F18CF000E96F5;
+			E18B4A02082F18E1000E96F5 = E18B4A02082F18E1000E96F5;
+			E18B4A03082F18E1000E96F5 = E18B4A03082F18E1000E96F5;
 		};
 		sourceControlManager = E12B21580548C9B600CFF4E9;
@@ -680,4 +735,6 @@
 		environmentEntries = (
 		);
+		executableSystemSymbolLevel = 0;
+		executableUserSymbolLevel = 0;
 		isa = PBXExecutable;
 		launchableReference = E104851D040C1E3900050002;
@@ -685,4 +742,6 @@
 		name = "テキストエディット";
 		shlibInfoDictList = (
+		);
+		shlibInfoDictList_v2 = (
 		);
 		sourceDirectories = (
@@ -718,4 +777,5 @@
 		isa = PBXSourceControlManager;
 		scmConfiguration = {
+			SubversionToolPath = /usr/local/bin/svn;
 		};
 		scmType = scm.subversion;
@@ -724,14 +784,4 @@
 		indexTemplatePath = "";
 		isa = PBXCodeSenseManager;
-		usesDefaults = 0;
-		wantsCodeCompletion = 1;
-		wantsCodeCompletionAutoSuggestions = 0;
-		wantsCodeCompletionCaseSensitivity = 1;
-		wantsCodeCompletionListAlways = 0;
-		wantsCodeCompletionOnlyMatchingItems = 1;
-		wantsCodeCompletionParametersIncluded = 1;
-		wantsCodeCompletionPlaceholdersInserted = 1;
-		wantsCodeCompletionTabCompletes = 1;
-		wantsIndex = 1;
 	};
 	E12FEC3D04959F5A00AEFBF9 = {
@@ -819,4 +869,6 @@
 			},
 		);
+		executableSystemSymbolLevel = 0;
+		executableUserSymbolLevel = 0;
 		isa = PBXExecutable;
 		launchableReference = E1317A3603DF242100050002;
@@ -824,4 +876,6 @@
 		name = "System Preferences";
 		shlibInfoDictList = (
+		);
+		shlibInfoDictList_v2 = (
 		);
 		sourceDirectories = (
@@ -866,7 +920,7 @@
 	E135625E03DC9FC200050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {532, 695}}";
-			sepNavSelRange = "{283, 0}";
-			sepNavVisRect = "{{0, 144}, {532, 551}}";
+			sepNavIntBoundsRect = "{{0, 0}, {508, 682}}";
+			sepNavSelRange = "{1772, 0}";
+			sepNavVisRect = "{{0, 130}, {508, 551}}";
 			sepNavWindowFrame = "{{174, 96}, {547, 589}}";
 		};
@@ -914,4 +968,6 @@
 			},
 		);
+		executableSystemSymbolLevel = 0;
+		executableUserSymbolLevel = 0;
 		isa = PBXExecutable;
 		launchableReference = E136EAA203E42F7500050002;
@@ -919,4 +975,6 @@
 		name = Terminal;
 		shlibInfoDictList = (
+		);
+		shlibInfoDictList_v2 = (
 		);
 		sourceDirectories = (
@@ -972,8 +1030,8 @@
 	E14343B403DB4CF200050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {735, 6911}}";
-			sepNavSelRange = "{9495, 16}";
-			sepNavVisRect = "{{0, 3060}, {735, 464}}";
-			sepNavWindowFrame = "{{156, 228}, {750, 502}}";
+			sepNavIntBoundsRect = "{{0, 0}, {686, 6787}}";
+			sepNavSelRange = "{6810, 0}";
+			sepNavVisRect = "{{0, 2040}, {686, 353}}";
+			sepNavWindowFrame = "{{469, 47}, {750, 502}}";
 		};
 	};
@@ -1014,4 +1072,6 @@
 		environmentEntries = (
 		);
+		executableSystemSymbolLevel = 0;
+		executableUserSymbolLevel = 0;
 		isa = PBXExecutable;
 		launchableReference = E15E6A7504188D6900050002;
@@ -1019,4 +1079,6 @@
 		name = "システム環境設定";
 		shlibInfoDictList = (
+		);
+		shlibInfoDictList_v2 = (
 		);
 		sourceDirectories = (
@@ -1033,7 +1095,7 @@
 	E165AB3603E7A7FC00050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {735, 3923}}";
-			sepNavSelRange = "{11290, 0}";
-			sepNavVisRect = "{{0, 3158}, {735, 464}}";
+			sepNavIntBoundsRect = "{{0, 0}, {743, 3645}}";
+			sepNavSelRange = "{1396, 0}";
+			sepNavVisRect = "{{0, 341}, {743, 363}}";
 			sepNavWindowFrame = "{{38, 218}, {750, 502}}";
 		};
@@ -1044,5 +1106,5 @@
 		name = "ICeCoffEEAppMenu.c: 44";
 		rLen = 0;
-		rLoc = 9051;
+		rLoc = 8820;
 		rType = 0;
 		vrLen = 1734;
@@ -1066,4 +1128,6 @@
 		environmentEntries = (
 		);
+		executableSystemSymbolLevel = 0;
+		executableUserSymbolLevel = 0;
 		isa = PBXExecutable;
 		launchableReference = E165AB3D03E7BCDE00050002;
@@ -1071,4 +1135,6 @@
 		name = TextEdit;
 		shlibInfoDictList = (
+		);
+		shlibInfoDictList_v2 = (
 		);
 		sourceDirectories = (
@@ -1085,7 +1151,7 @@
 	E169DBA103E4EF5E00050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {609, 2897}}";
-			sepNavSelRange = "{1292, 56}";
-			sepNavVisRect = "{{0, 0}, {609, 566}}";
+			sepNavIntBoundsRect = "{{0, 0}, {758, 2222}}";
+			sepNavSelRange = "{7587, 0}";
+			sepNavVisRect = "{{0, 1617}, {758, 353}}";
 		};
 	};
@@ -1102,7 +1168,7 @@
 	E169DBA703E4F6A400050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {733, 792}}";
-			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 0}, {733, 443}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 737}}";
+			sepNavSelRange = "{1139, 0}";
+			sepNavVisRect = "{{0, 272}, {711, 464}}";
 			sepNavWindowFrame = "{{84, 262}, {750, 502}}";
 		};
@@ -1125,4 +1191,6 @@
 		environmentEntries = (
 		);
+		executableSystemSymbolLevel = 0;
+		executableUserSymbolLevel = 0;
 		isa = PBXExecutable;
 		launchableReference = E175F28403E7445700050002;
@@ -1130,4 +1198,6 @@
 		name = SimpleText;
 		shlibInfoDictList = (
+		);
+		shlibInfoDictList_v2 = (
 		);
 		sourceDirectories = (
@@ -1168,8 +1238,8 @@
 	E182C8F603DE817F00050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {764, 516}}";
+			sepNavIntBoundsRect = "{{0, 0}, {686, 622}}";
 			sepNavSelRange = "{322, 18}";
-			sepNavVisRect = "{{0, 108}, {764, 99}}";
-			sepNavWindowFrame = "{{176, 92}, {750, 502}}";
+			sepNavVisRect = "{{0, 0}, {686, 621}}";
+			sepNavWindowFrame = "{{378, 506}, {725, 659}}";
 		};
 	};
@@ -1180,9 +1250,584 @@
 		state = 1;
 	};
+	E18B483F082F0CC5000E96F5 = {
+		comments = "warning: passing argument 3 of 'CFStringCompare' makes integer from pointer without a cast";
+		fRef = F9A6986E03BE1DF000AA4DA5;
+		isa = PBXTextBookmark;
+		rLen = 1;
+		rLoc = 173;
+		rType = 1;
+	};
+	E18B4840082F0CD6000E96F5 = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = CFString.h;
+		path = /Developer/SDKs/MacOSX10.3.9.sdk/System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFString.h;
+		refType = 0;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {792, 8327}}";
+			sepNavSelRange = "{13407, 196}";
+			sepNavVisRect = "{{0, 2693}, {792, 928}}";
+			sepNavWindowFrame = "{{15, 187}, {831, 986}}";
+		};
+	};
+	E18B4846082F0CF2000E96F5 = {
+		fRef = E18B4840082F0CD6000E96F5;
+		isa = PBXTextBookmark;
+		rLen = 1;
+		rLoc = 336;
+		rType = 1;
+	};
+	E18B4847082F0CF2000E96F5 = {
+		fRef = E18B4840082F0CD6000E96F5;
+		isa = PBXTextBookmark;
+		name = CFOptionFlags;
+		rLen = 13;
+		rLoc = 17210;
+		rType = 0;
+		vrLen = 4010;
+		vrLoc = 15255;
+	};
+	E18B484A082F0CF2000E96F5 = {
+		fRef = F9A6986E03BE1DF000AA4DA5;
+		isa = PBXTextBookmark;
+		name = CFStringCompare;
+		rLen = 15;
+		rLoc = 7767;
+		rType = 0;
+		vrLen = 1604;
+		vrLoc = 6944;
+	};
+	E18B497A082F0DFB000E96F5 = {
+		comments = "warning: passing argument 3 of 'CFStringCompare' makes integer from pointer without a cast";
+		fRef = F9A6986E03BE1DF000AA4DA5;
+		isa = PBXTextBookmark;
+		rLen = 1;
+		rLoc = 173;
+		rType = 1;
+	};
+	E18B497B082F0DFB000E96F5 = {
+		fRef = F9A6986E03BE1DF000AA4DA5;
+		isa = PBXTextBookmark;
+		name = "if (CFStringCompare(message, kICPreferencesChanged, NULL) == kCFCompareEqualTo)";
+		rLen = 83;
+		rLoc = 7759;
+		rType = 0;
+		vrLen = 454;
+		vrLoc = 7506;
+	};
+	E18B498F082F10DD000E96F5 = {
+		fRef = F9A6986E03BE1DF000AA4DA5;
+		isa = PBXTextBookmark;
+		name = "APEMain.m: 174";
+		rLen = 0;
+		rLoc = 7816;
+		rType = 0;
+		vrLen = 451;
+		vrLoc = 7506;
+	};
+	E18B4990082F10DD000E96F5 = {
+		comments = "warning: pointer targets in passing argument 6 of 'CFStringGetBytes' differ in signedness";
+		fRef = E14343B403DB4CF200050002;
+		isa = PBXTextBookmark;
+		rLen = 1;
+		rLoc = 256;
+		rType = 1;
+	};
+	E18B4991082F10DD000E96F5 = {
+		fRef = F9A6986E03BE1DF000AA4DA5;
+		isa = PBXTextBookmark;
+		name = "APEMain.m: 174";
+		rLen = 0;
+		rLoc = 7816;
+		rType = 0;
+		vrLen = 451;
+		vrLoc = 7506;
+	};
+	E18B4992082F10DD000E96F5 = {
+		fRef = E14343B403DB4CF200050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEE.m: 257";
+		rLen = 0;
+		rLoc = 8955;
+		rType = 0;
+		vrLen = 408;
+		vrLoc = 8784;
+	};
+	E18B49AC082F12B8000E96F5 = {
+		fRef = E14343B403DB4CF200050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEE.m: 187";
+		rLen = 0;
+		rLoc = 6810;
+		rType = 0;
+		vrLen = 1043;
+		vrLoc = 6274;
+	};
+	E18B49AD082F12B8000E96F5 = {
+		fRef = E19EB4FA03DD35A700050002;
+		isa = PBXTextBookmark;
+		name = "cachedVersion = NULL;";
+		rLen = 23;
+		rLoc = 1186;
+		rType = 0;
+		vrLen = 1076;
+		vrLoc = 797;
+	};
+	E18B49AE082F12B8000E96F5 = {
+		fRef = E169DBA103E4EF5E00050002;
+		isa = PBXTextBookmark;
+		name = "Delay(blinkDelay, &junk);";
+		rLen = 42;
+		rLoc = 7867;
+		rType = 0;
+		vrLen = 1177;
+		vrLoc = 7166;
+	};
+	E18B49AF082F12B8000E96F5 = {
+		comments = "warning: value computed is not used";
+		fRef = E1BF166A03DBE27000050002;
+		isa = PBXTextBookmark;
+		rLen = 1;
+		rLoc = 139;
+		rType = 1;
+	};
+	E18B49B0082F12B8000E96F5 = {
+		fRef = E14343B403DB4CF200050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEE.m: 187";
+		rLen = 0;
+		rLoc = 6810;
+		rType = 0;
+		vrLen = 1043;
+		vrLoc = 6274;
+	};
+	E18B49B1082F12B8000E96F5 = {
+		fRef = E19EB4FA03DD35A700050002;
+		isa = PBXTextBookmark;
+		name = "cachedVersion = NULL;";
+		rLen = 23;
+		rLoc = 1186;
+		rType = 0;
+		vrLen = 1076;
+		vrLoc = 797;
+	};
+	E18B49B2082F12B8000E96F5 = {
+		fRef = E169DBA103E4EF5E00050002;
+		isa = PBXTextBookmark;
+		name = "Delay(blinkDelay, &junk);";
+		rLen = 42;
+		rLoc = 7867;
+		rType = 0;
+		vrLen = 1177;
+		vrLoc = 7166;
+	};
+	E18B49B3082F12B8000E96F5 = {
+		fRef = E1BF166A03DBE27000050002;
+		isa = PBXTextBookmark;
+		name = "ICLog(@\"selectedRange %@ selectionRect %@ textBlinkCount %d\", NSStringFromRange(selectedRange), NSStringFromRect(selectionRect), ICCF_prefs.textBlinkCount);";
+		rLen = 161;
+		rLoc = 4705;
+		rType = 0;
+		vrLen = 1469;
+		vrLoc = 3678;
+	};
+	E18B49B6082F12BD000E96F5 = {
+		fRef = E1BF166A03DBE27000050002;
+		isa = PBXTextBookmark;
+		name = "ICLog(@\"selectedRange %@ selectionRect %@ textBlinkCount %d\", NSStringFromRange(selectedRange), NSStringFromRect(selectionRect), ICCF_prefs.textBlinkCount);";
+		rLen = 161;
+		rLoc = 4705;
+		rType = 0;
+		vrLen = 1469;
+		vrLoc = 3678;
+	};
+	E18B49BF082F12FB000E96F5 = {
+		fRef = E1BF166A03DBE27000050002;
+		isa = PBXTextBookmark;
+		name = "ICLog(@\"selectedRange %@ selectionRect %@ textBlinkCount %d\", NSStringFromRange(selectedRange), NSStringFromRect(selectionRect), ICCF_prefs.textBlinkCount);";
+		rLen = 161;
+		rLoc = 4705;
+		rType = 0;
+		vrLen = 1469;
+		vrLoc = 3678;
+	};
+	E18B49C0082F12FB000E96F5 = {
+		fRef = E1BF4A4D0487C77C00C20906;
+		isa = PBXTextBookmark;
+		name = "German: 1";
+		rLen = 0;
+		rLoc = 15;
+		rType = 0;
+		vrLen = 374;
+		vrLoc = 0;
+	};
+	E18B49C1082F12FB000E96F5 = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		rLen = 3;
+		rLoc = 103;
+		rType = 0;
+	};
+	E18B49C2082F12FB000E96F5 = {
+		fRef = E1BF4A4D0487C77C00C20906;
+		isa = PBXTextBookmark;
+		name = "German: 1";
+		rLen = 0;
+		rLoc = 15;
+		rType = 0;
+		vrLen = 374;
+		vrLoc = 0;
+	};
+	E18B49C3082F12FB000E96F5 = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 0;
+		rLoc = 113;
+		rType = 0;
+		vrLen = 238;
+		vrLoc = 0;
+	};
+	E18B49C6082F1309000E96F5 = {
+		fRef = E1BF166A03DBE27000050002;
+		isa = PBXTextBookmark;
+		name = "ICLog(@\"selectedRange %@ selectionRect %@ textBlinkCount %d\", NSStringFromRange(selectedRange), NSStringFromRect(selectionRect), ICCF_prefs.textBlinkCount);";
+		rLen = 161;
+		rLoc = 4705;
+		rType = 0;
+		vrLen = 1469;
+		vrLoc = 3678;
+	};
+	E18B49C7082F1309000E96F5 = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 0;
+		rLoc = 113;
+		rType = 0;
+		vrLen = 238;
+		vrLoc = 0;
+	};
+	E18B49C8082F142B000E96F5 = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = OSUtils.h;
+		path = /Developer/SDKs/MacOSX10.3.9.sdk/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/Headers/OSUtils.h;
+		refType = 0;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {758, 6116}}";
+			sepNavSelRange = "{8211, 7}";
+			sepNavVisRect = "{{0, 3074}, {758, 353}}";
+		};
+	};
+	E18B49CF082F1466000E96F5 = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = CFURL.h;
+		path = /Developer/SDKs/MacOSX10.3.9.sdk/System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFURL.h;
+		refType = 0;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {758, 4642}}";
+			sepNavSelRange = "{1704, 13}";
+			sepNavVisRect = "{{0, 308}, {758, 353}}";
+		};
+	};
+	E18B49DC082F1726000E96F5 = {
+		fRef = E18B49DD082F1726000E96F5;
+		isa = PBXTextBookmark;
+		rLen = 0;
+		rLoc = 2147483647;
+		rType = 0;
+	};
+	E18B49DD082F1726000E96F5 = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = LSInfo.h;
+		path = /Developer/SDKs/MacOSX10.3.9.sdk/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/Headers/LSInfo.h;
+		refType = 0;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {686, 12155}}";
+			sepNavSelRange = "{33879, 24}";
+			sepNavVisRect = "{{0, 11533}, {686, 621}}";
+			sepNavWindowFrame = "{{567, 115}, {725, 659}}";
+		};
+	};
+	E18B49DE082F1726000E96F5 = {
+		fRef = E18B49DF082F1726000E96F5;
+		isa = PBXTextBookmark;
+		name = LSCopyApplicationURLsFor;
+		rLen = 24;
+		rLoc = 33879;
+		rType = 0;
+		vrLen = 1563;
+		vrLoc = 32560;
+	};
+	E18B49DF082F1726000E96F5 = {
+		isa = PBXFileReference;
+		name = LSInfo.h;
+		path = /Developer/SDKs/MacOSX10.3.9.sdk/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/Headers/LSInfo.h;
+		refType = 0;
+		sourceTree = "<absolute>";
+	};
+	E18B49E6082F18B7000E96F5 = {
+		fRef = E1BF166A03DBE27000050002;
+		isa = PBXTextBookmark;
+		name = "ICLog(@\"selectedRange %@ selectionRect %@ textBlinkCount %d\", NSStringFromRange(selectedRange), NSStringFromRect(selectionRect), ICCF_prefs.textBlinkCount);";
+		rLen = 161;
+		rLoc = 4705;
+		rType = 0;
+		vrLen = 1469;
+		vrLoc = 3678;
+	};
+	E18B49E7082F18B7000E96F5 = {
+		fRef = E18B49C8082F142B000E96F5;
+		isa = PBXTextBookmark;
+		name = "Delay(";
+		rLen = 7;
+		rLoc = 8211;
+		rType = 0;
+		vrLen = 855;
+		vrLoc = 7848;
+	};
+	E18B49E8082F18B7000E96F5 = {
+		fRef = E169DBA103E4EF5E00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEETextEdit.c: 148";
+		rLen = 0;
+		rLoc = 7587;
+		rType = 0;
+		vrLen = 1184;
+		vrLoc = 7166;
+	};
+	E18B49E9082F18B7000E96F5 = {
+		fRef = E19EB4FC03DD35A700050002;
+		isa = PBXTextBookmark;
+		name = "UICookieMonster.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 829;
+		vrLoc = 0;
+	};
+	E18B49EA082F18B7000E96F5 = {
+		fRef = E19EB4FA03DD35A700050002;
+		isa = PBXTextBookmark;
+		name = "UICookieMonster.m: 106";
+		rLen = 0;
+		rLoc = 2865;
+		rType = 0;
+		vrLen = 416;
+		vrLoc = 2659;
+	};
+	E18B49EB082F18B7000E96F5 = {
+		fRef = E18B49CF082F1466000E96F5;
+		isa = PBXTextBookmark;
+		name = "const UInt8 *";
+		rLen = 13;
+		rLoc = 1704;
+		rType = 0;
+		vrLen = 1664;
+		vrLoc = 848;
+	};
+	E18B49EC082F18B7000E96F5 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = CFURLCreateWithBytes;
+		rLen = 20;
+		rLoc = 12005;
+		rType = 0;
+		vrLen = 976;
+		vrLoc = 11724;
+	};
+	E18B49ED082F18B7000E96F5 = {
+		fRef = E1BF166A03DBE27000050002;
+		isa = PBXTextBookmark;
+		name = "ICLog(@\"selectedRange %@ selectionRect %@ textBlinkCount %d\", NSStringFromRange(selectedRange), NSStringFromRect(selectionRect), ICCF_prefs.textBlinkCount);";
+		rLen = 161;
+		rLoc = 4705;
+		rType = 0;
+		vrLen = 1469;
+		vrLoc = 3678;
+	};
+	E18B49EE082F18B7000E96F5 = {
+		fRef = E169DBA103E4EF5E00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEETextEdit.c: 148";
+		rLen = 0;
+		rLoc = 7587;
+		rType = 0;
+		vrLen = 1184;
+		vrLoc = 7166;
+	};
+	E18B49EF082F18B7000E96F5 = {
+		fRef = E19EB4FA03DD35A700050002;
+		isa = PBXTextBookmark;
+		name = "UICookieMonster.m: 45";
+		rLen = 0;
+		rLoc = 1200;
+		rType = 0;
+		vrLen = 1076;
+		vrLoc = 797;
+	};
+	E18B49F0082F18B7000E96F5 = {
+		fRef = E19EB4FC03DD35A700050002;
+		isa = PBXTextBookmark;
+		name = "UICookieMonster.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 829;
+		vrLoc = 0;
+	};
+	E18B49F1082F18B7000E96F5 = {
+		fRef = E19EB4FA03DD35A700050002;
+		isa = PBXTextBookmark;
+		name = "UICookieMonster.m: 45";
+		rLen = 0;
+		rLoc = 1200;
+		rType = 0;
+		vrLen = 1076;
+		vrLoc = 797;
+	};
+	E18B49F2082F18B7000E96F5 = {
+		fRef = E19EB4FC03DD35A700050002;
+		isa = PBXTextBookmark;
+		name = "UICookieMonster.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 829;
+		vrLoc = 0;
+	};
+	E18B49F3082F18B7000E96F5 = {
+		fRef = E19EB4FA03DD35A700050002;
+		isa = PBXTextBookmark;
+		name = "UICookieMonster.m: 106";
+		rLen = 0;
+		rLoc = 2865;
+		rType = 0;
+		vrLen = 416;
+		vrLoc = 2659;
+	};
+	E18B49F4082F18B7000E96F5 = {
+		fRef = E18B49CF082F1466000E96F5;
+		isa = PBXTextBookmark;
+		name = "const UInt8 *";
+		rLen = 13;
+		rLoc = 1704;
+		rType = 0;
+		vrLen = 1664;
+		vrLoc = 848;
+	};
+	E18B49F5082F18B7000E96F5 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEAction.c: 36";
+		rLen = 0;
+		rLoc = 1396;
+		rType = 0;
+		vrLen = 1588;
+		vrLoc = 975;
+	};
+	E18B49F6082F18B7000E96F5 = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 0;
+		rLoc = 113;
+		rType = 0;
+		vrLen = 238;
+		vrLoc = 0;
+	};
+	E18B49F7082F18C6000E96F5 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEAction.c: 36";
+		rLen = 0;
+		rLoc = 1396;
+		rType = 0;
+		vrLen = 1588;
+		vrLoc = 975;
+	};
+	E18B49F8082F18C6000E96F5 = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 0;
+		rLoc = 113;
+		rType = 0;
+		vrLen = 238;
+		vrLoc = 0;
+	};
+	E18B49FC082F18CA000E96F5 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEAction.c: 36";
+		rLen = 0;
+		rLoc = 1396;
+		rType = 0;
+		vrLen = 1588;
+		vrLoc = 975;
+	};
+	E18B49FD082F18CA000E96F5 = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 0;
+		rLoc = 113;
+		rType = 0;
+		vrLen = 238;
+		vrLoc = 0;
+	};
+	E18B49FE082F18CF000E96F5 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEAction.c: 36";
+		rLen = 0;
+		rLoc = 1396;
+		rType = 0;
+		vrLen = 1588;
+		vrLoc = 975;
+	};
+	E18B49FF082F18CF000E96F5 = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 0;
+		rLoc = 113;
+		rType = 0;
+		vrLen = 238;
+		vrLoc = 0;
+	};
+	E18B4A02082F18E1000E96F5 = {
+		fRef = E165AB3603E7A7FC00050002;
+		isa = PBXTextBookmark;
+		name = "ICeCoffEEAction.c: 36";
+		rLen = 0;
+		rLoc = 1396;
+		rType = 0;
+		vrLen = 1588;
+		vrLoc = 975;
+	};
+	E18B4A03082F18E1000E96F5 = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 5";
+		rLen = 0;
+		rLoc = 113;
+		rType = 0;
+		vrLen = 238;
+		vrLoc = 0;
+	};
 	E19EB4FA03DD35A700050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {609, 2337}}";
-			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 0}, {609, 566}}";
+			sepNavIntBoundsRect = "{{0, 0}, {758, 1848}}";
+			sepNavSelRange = "{2865, 0}";
+			sepNavVisRect = "{{0, 1050}, {758, 353}}";
+			sepNavWindowFrame = "{{84, 451}, {725, 659}}";
 		};
 	};
@@ -1197,7 +1842,7 @@
 	E19EB4FC03DD35A700050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {609, 566}}";
+			sepNavIntBoundsRect = "{{0, 0}, {758, 429}}";
 			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 0}, {609, 566}}";
+			sepNavVisRect = "{{0, 0}, {758, 353}}";
 		};
 	};
@@ -1238,8 +1883,12 @@
 		environmentEntries = (
 		);
+		executableSystemSymbolLevel = 0;
+		executableUserSymbolLevel = 0;
 		isa = PBXExecutable;
 		libgmallocEnabled = 0;
 		name = ICFindFilesToRemove;
 		shlibInfoDictList = (
+		);
+		shlibInfoDictList_v2 = (
 		);
 		sourceDirectories = (
@@ -1263,4 +1912,6 @@
 		environmentEntries = (
 		);
+		executableSystemSymbolLevel = 0;
+		executableUserSymbolLevel = 0;
 		isa = PBXExecutable;
 		launchableReference = E1BF674C054C7F9300C390BC;
@@ -1269,4 +1920,6 @@
 		shlibInfoDictList = (
 		);
+		shlibInfoDictList_v2 = (
+		);
 		sourceDirectories = (
 		);
@@ -1314,7 +1967,7 @@
 	E1BF166A03DBE27000050002 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {735, 2195}}";
-			sepNavSelRange = "{4413, 0}";
-			sepNavVisRect = "{{0, 1363}, {735, 464}}";
+			sepNavIntBoundsRect = "{{0, 0}, {758, 2050}}";
+			sepNavSelRange = "{4705, 161}";
+			sepNavVisRect = "{{0, 1329}, {758, 353}}";
 			sepNavWindowFrame = "{{61, 197}, {750, 502}}";
 		};
@@ -1412,8 +2065,8 @@
 	F9A6986E03BE1DF000AA4DA5 = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {621, 3887}}";
-			sepNavSelRange = "{3727, 89}";
-			sepNavVisRect = "{{0, 1272}, {621, 155}}";
-			sepNavWindowFrame = "{{153, 113}, {750, 502}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 3613}}";
+			sepNavSelRange = "{7816, 0}";
+			sepNavVisRect = "{{0, 1956}, {711, 444}}";
+			sepNavWindowFrame = "{{440, 49}, {750, 502}}";
 		};
 	};
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/project.pbxproj
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/project.pbxproj	(revision 180)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.xcode/project.pbxproj	(revision 181)
@@ -57,6 +57,6 @@
 		29B97313FDCFA39411CA2CEA = {
 			buildSettings = {
-				MACOSX_DEPLOYMENT_TARGET = 10.2;
-				SDKROOT = /Developer/SDKs/MacOSX10.2.7.sdk;
+				MACOSX_DEPLOYMENT_TARGET = 10.3;
+				SDKROOT = /Developer/SDKs/MacOSX10.3.9.sdk;
 			};
 			buildStyles = (
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.m
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.m	(revision 180)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.m	(revision 181)
@@ -185,5 +185,5 @@
 
     // if *h begins with '<hint>:', then copy the slashes after it
-    if (sizeBefore > hintLength + 1 && strncmp(&hint[1], copy, hintLength) == 0 && copy[hintLength] == ':') {
+    if (sizeBefore > hintLength + 1 && strncmp((const char *)&hint[1], copy, hintLength) == 0 && copy[hintLength] == ':') {
         memcpy(*h, copy, hintLength + 1);
         memcpy(*h + hintLength + 1, kICSlashes, 2);
@@ -255,5 +255,5 @@
             ICCF_OSErrCAssert(MemError(), @"NewHandle");
 
-        if (CFStringGetBytes((CFStringRef)string, CFRangeMake(0, len), kCFStringEncodingASCII, '\0', false, *h, len, NULL) != len)
+        if (CFStringGetBytes((CFStringRef)string, CFRangeMake(0, len), kCFStringEncodingASCII, '\0', false, (UInt8 *)*h, len, NULL) != len)
             ICCF_OSErrCAssert(kTECNoConversionPathErr, @"CFStringGetBytes");
 
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEAction.c
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEAction.c	(revision 180)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEAction.c	(revision 181)
@@ -12,7 +12,4 @@
 #include "ICeCoffEEShared.h"
 #include "ICeCoffEEBookmarks.h"
-
-/* thanks to Slava Karpenko for this one! */
-OSStatus _LSCopyApplicationURLsForItemURL(CFURLRef inURL, LSRolesMask inRoleMask, CFArrayRef *outApps); // outApps to be CFReleased()
 
 #define THROW_ERR(e) { err = e; goto END; }
@@ -159,6 +156,5 @@
     OSStatus err;
     
-    if ( (err = _LSCopyApplicationURLsForItemURL(url, kLSRolesAll, &appURLsUnsorted)) != noErr)
-        THROW_ERR(err);
+    appURLsUnsorted = LSCopyApplicationURLsForURL(url, kLSRolesAll);
 
     CFIndex appCount = 0;
@@ -297,5 +293,5 @@
                            &startIndex, &endIndex, h)) != noErr) THROW_ERR(err);
 
-    if ( (url = CFURLCreateWithBytes(NULL, *h, GetHandleSize(h), kCFStringEncodingASCII,
+    if ( (url = CFURLCreateWithBytes(NULL, (const UInt8 *)*h, GetHandleSize(h), kCFStringEncodingASCII,
                                      NULL)) == NULL) THROW_ERR(paramErr);
 
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h	(revision 180)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h	(revision 181)
@@ -13,5 +13,5 @@
 #include <CoreFoundation/CoreFoundation.h>
 
-#define ICCF_DEBUG 0
+#define ICCF_DEBUG 1
 
 #if ICCF_DEBUG
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEETextEdit.c
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEETextEdit.c	(revision 180)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEETextEdit.c	(revision 181)
@@ -146,5 +146,5 @@
         
         if (err == noErr) {
-            SInt32	junk;
+            unsigned long junk;
             SInt16	i = ICCF_prefs.textBlinkCount;
             SInt32  blinkDelay = kICBlinkDelayUsecs / 10000; // XXX incorrect, fix
